For the complete documentation index, see llms.txt. This page is also available as Markdown.

Describe Subscription

Describe a single client metrics subscription by name.

Returns the configuration of a single client metrics subscription by name.

Requires admin or read-only permissions.

Request

curl https://api.warpstream.com/api/v1/describe_client_metrics_subscription \
-H 'warpstream-api-key: XXXXXXXXXX' \
-H 'Content-Type: application/json' \
-d '{
  "virtual_cluster_id": "vci_1d4930d7_8e6d_4ad9_b27a_654ed4aaa3ee",
  "name": "staging-producers"
}'

Response

{
  "client_metrics_subscription": {
    "name": "staging-producers",
    "interval_ms": 30000,
    "metrics": "org.apache.kafka.producer.node.request.latency",
    "match": "client_id=staging-.*"
  }
}

Last updated

Was this helpful?